%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   SOAP-Lite
%define modv   0.712
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A SOAP client and server implementation for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MK/MKUTTER/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Martin Kutter <kutterma@users.sourceforge.net>
Provides:      perl(Apache::SOAP) = %{modv}
Provides:      perl(Apache::XMLRPC::Lite) = %{modv}
Provides:      perl(IO::SessionData) = 1.02
Provides:      perl(SOAP::Constants) = %{modv}
Provides:      perl(SOAP::Lite) = %{modv}
Provides:      perl(SOAP::Packager) = %{modv}
Provides:      perl(SOAP::Test) = %{modv}
Provides:      perl(SOAP::Transport::HTTP) = %{modv}
Provides:      perl(SOAP::Transport::IO) = %{modv}
Provides:      perl(SOAP::Transport::LOCAL) = %{modv}
Provides:      perl(SOAP::Transport::MAILTO) = %{modv}
Provides:      perl(SOAP::Transport::POP3) = %{modv}
Provides:      perl(SOAP::Transport::TCP) = %{modv}
Provides:      perl(UDDI::Constants) = %{modv}
Provides:      perl(UDDI::Data) = %{modv}
Provides:      perl(UDDI::Deserializer) = %{modv}
Provides:      perl(UDDI::Lite) = %{modv}
Provides:      perl(UDDI::SOM) = %{modv}
Provides:      perl(UDDI::Serializer) = %{modv}
Provides:      perl(XML::Parser::Lite) = %{modv}
Provides:      perl(XMLRPC::Lite) = %{modv}
Provides:      perl(XMLRPC::Test) = %{modv}
Provides:      perl(XMLRPC::Transport::HTTP) = %{modv}
Provides:      perl(XMLRPC::Transport::POP3) = %{modv}
Provides:      perl(XMLRPC::Transport::TCP) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::UUID) >= 0.11
BuildRequires: perl(Devel::Cycle)
BuildRequires: perl(DIME::Tools) >= 0.03
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar) >= 2.105
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Lite)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Net::POP3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser) >= 2.23
BuildArch:     noarch


%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both
on client and server side.


%prep
%setup -q -n %{modn}-%{modv}

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(LWP::Protocol)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	--noprompt

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes HACKING README ReleaseNotes.txt
%{_bindir}/SOAPsh.pl
%{_bindir}/XMLRPCsh.pl
%{_bindir}/stubmaker.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/IO
%{perl_vendorlib}/%{modp}
%{perl_vendorlib}/UDDI
%{perl_vendorlib}/XML
%{perl_vendorlib}/XMLRPC
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Mon Nov 22 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.712-1
- New version (0.712)

* Thu Feb 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.710.08-1
- Initial build
